DECLARE SUB HitAnyKey ()
DECLARE SUB ClubOmni ()
DECLARE SUB Arcade ()
DECLARE SUB Street5 ()
DECLARE SUB CannotGo ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
DECLARE SUB Stats ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street6

RestoreRoom = 25
Room:
  CLS
  PRINT "The street here is brightly lit with glowing neon.  To the north is a noisy"
  PRINT "arcade, packed with young punks.  To the east is a large building with the"
  PRINT "name 'Club Omni' emblazoned on it in blue neon.  The street continues back"
  PRINT "to the west."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Arcade
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "KNOCK" OR a$ = "KNOCK ON DOOR" OR a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN GOTO EnterClub
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Street5
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  CannotDo
  GOTO Command

EnterClub:
  PRINT "You approach the heavy door of the club.  After rapping your knuckles against"
  PRINT "the wood, a small slot opens and a pair of piggish eyes stare out at you."
  IF Clothing <> 2 THEN PRINT "A gruff male voice says, 'Only gang members are allowed in here.'": GOTO Command
  LINE INPUT "A gruff male voice asks, 'What's your name?' "; a$: a$ = UCASE$(a$)
  IF a$ = "JAKE" OR a$ = "JAKE ASPEN" OR a$ = "ASPEN" THEN PRINT "The door swings open and you enter the club.": LOCATE , , 0: HitAnyKey: ClubOmni
  PRINT "The voice grunts and the slot in the door slides shut."
  GOTO Command

SearchRoom:
  PRINT "You search the area but find nothing."
  GOTO Command

END SUB

